Skip to main content
GET
/
v1
/
posts
List posts or get by ID
curl --request GET \
  --url https://api.vidjutsu.ai/v1/posts
{
  "postId": "<string>",
  "clientId": "<string>",
  "status": "draft",
  "createdAt": 123,
  "campaignId": "<string>",
  "accountId": "<string>",
  "videoId": "<string>",
  "videoUrl": "<string>",
  "caption": "<string>",
  "brief": "<unknown>",
  "scheduledAt": 123,
  "metrics": "<unknown>",
  "tags": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ]
}

Query Parameters

id
string
accountId
string

Response

200 - application/json

The request has succeeded.

postId
string
required
clientId
string
required
status
enum<string>
required
Available options:
draft,
scheduled,
posting,
posted,
failed,
cancelled
createdAt
integer<int64>
required
campaignId
string
accountId
string
videoId
string
videoUrl
string
caption
string
brief
any
scheduledAt
integer<int64>
metrics
any
tags
object[]